<?xml version="1.0" encoding="UTF-8"?>
<bpmn:definitions xmlns:bpmn="http://www.omg.org/spec/BPMN/20100524/MODEL" xmlns:bpmndi="http://www.omg.org/spec/BPMN/20100524/DI" xmlns:dc="http://www.omg.org/spec/DD/20100524/DC" xmlns:camunda="http://camunda.org/schema/1.0/bpmn" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:di="http://www.omg.org/spec/DD/20100524/DI" id="Definitions_1d49l06" targetNamespace="http://bpmn.io/schema/bpmn" exporter="Camunda Modeler" exporterVersion="4.0.0">
  <bpmn:collaboration id="Collaboration_0gnmrhi">
    <bpmn:participant id="Participant_15fcbvc" name="Gäste registrieren" processRef="register-guests" />
  </bpmn:collaboration>
  <bpmn:process id="register-guests" name="Gäste registrieren" isExecutable="true">
    <bpmn:laneSet id="LaneSet_06ohozn">
      <bpmn:lane id="Lane_0iuk6jf" name="Gast">
        <bpmn:flowNodeRef>Activity_06fyd13</bpmn:flowNodeRef>
        <bpmn:flowNodeRef>Activity_0633vv6</bpmn:flowNodeRef>
      </bpmn:lane>
      <bpmn:lane id="Lane_1k6gqrr" name="Restaurant">
        <bpmn:flowNodeRef>Event_0jr486l</bpmn:flowNodeRef>
      </bpmn:lane>
      <bpmn:lane id="Lane_06yh8mk" name="Process Engine">
        <bpmn:flowNodeRef>Event_0mwqtsh</bpmn:flowNodeRef>
        <bpmn:flowNodeRef>Activity_1sg1xt5</bpmn:flowNodeRef>
        <bpmn:flowNodeRef>Activity_0g77nwh</bpmn:flowNodeRef>
        <bpmn:flowNodeRef>Activity_1qocckk</bpmn:flowNodeRef>
      </bpmn:lane>
    </bpmn:laneSet>
    <bpmn:startEvent id="Event_0jr486l" name="Initiate Corona-Form" camunda:formKey="embedded:deployment:corona-form-init.html">
      <bpmn:outgoing>Flow_0jpyz0y</bpmn:outgoing>
    </bpmn:startEvent>
    <bpmn:sequenceFlow id="Flow_1g9y284" sourceRef="Activity_06fyd13" targetRef="Activity_0g77nwh" />
    <bpmn:sequenceFlow id="Flow_0i5u1cs" sourceRef="Activity_1sg1xt5" targetRef="Event_0mwqtsh" />
    <bpmn:sequenceFlow id="Flow_0et8tgp" sourceRef="Activity_0g77nwh" targetRef="Activity_1sg1xt5" />
    <bpmn:userTask id="Activity_06fyd13" name="Log out" camunda:formKey="embedded:deployment:corona-form-logout.html" camunda:assignee="gast">
      <bpmn:incoming>Flow_13awj3g</bpmn:incoming>
      <bpmn:outgoing>Flow_1g9y284</bpmn:outgoing>
    </bpmn:userTask>
    <bpmn:endEvent id="Event_0mwqtsh">
      <bpmn:incoming>Flow_0i5u1cs</bpmn:incoming>
    </bpmn:endEvent>
    <bpmn:serviceTask id="Activity_1sg1xt5" name="Write to DB" camunda:type="external" camunda:topic="write-to-db">
      <bpmn:incoming>Flow_0et8tgp</bpmn:incoming>
      <bpmn:outgoing>Flow_0i5u1cs</bpmn:outgoing>
    </bpmn:serviceTask>
    <bpmn:serviceTask id="Activity_0g77nwh" name="Set End Date" camunda:type="external" camunda:topic="set-end-date">
      <bpmn:incoming>Flow_1g9y284</bpmn:incoming>
      <bpmn:outgoing>Flow_0et8tgp</bpmn:outgoing>
    </bpmn:serviceTask>
    <bpmn:serviceTask id="Activity_1qocckk" name="Set Start Date &#38; Time" camunda:type="external" camunda:topic="set-start-date">
      <bpmn:incoming>Flow_0jpyz0y</bpmn:incoming>
      <bpmn:outgoing>Flow_0d3qihc</bpmn:outgoing>
    </bpmn:serviceTask>
    <bpmn:sequenceFlow id="Flow_0jpyz0y" sourceRef="Event_0jr486l" targetRef="Activity_1qocckk" />
    <bpmn:sequenceFlow id="Flow_0d3qihc" sourceRef="Activity_1qocckk" targetRef="Activity_0633vv6" />
    <bpmn:sequenceFlow id="Flow_13awj3g" sourceRef="Activity_0633vv6" targetRef="Activity_06fyd13" />
    <bpmn:userTask id="Activity_0633vv6" name="Fill Corona-Form" camunda:formKey="embedded:deployment:corona-form-eingabe.html" camunda:assignee="gast">
      <bpmn:extensionElements>
        <camunda:properties>
          <camunda:property />
          <camunda:property />
        </camunda:properties>
      </bpmn:extensionElements>
      <bpmn:incoming>Flow_0d3qihc</bpmn:incoming>
      <bpmn:outgoing>Flow_13awj3g</bpmn:outgoing>
    </bpmn:userTask>
  </bpmn:process>
  <bpmndi:BPMNDiagram id="BPMNDiagram_1">
    <bpmndi:BPMNPlane id="BPMNPlane_1" bpmnElement="Collaboration_0gnmrhi">
      <bpmndi:BPMNShape id="Participant_15fcbvc_di" bpmnElement="Participant_15fcbvc" isHorizontal="true">
        <dc:Bounds x="161" y="77" width="1148" height="370" />
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape id="Lane_06yh8mk_di" bpmnElement="Lane_06yh8mk" isHorizontal="true">
        <dc:Bounds x="191" y="197" width="1118" height="125" />
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape id="Lane_1k6gqrr_di" bpmnElement="Lane_1k6gqrr" isHorizontal="true">
        <dc:Bounds x="191" y="322" width="1118" height="125" />
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape id="Lane_0iuk6jf_di" bpmnElement="Lane_0iuk6jf" isHorizontal="true">
        <dc:Bounds x="191" y="77" width="1118" height="120" />
      </bpmndi:BPMNShape>
      <bpmndi:BPMNEdge id="Flow_0et8tgp_di" bpmnElement="Flow_0et8tgp">
        <di:waypoint x="989" y="257" />
        <di:waypoint x="1059" y="257" />
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge id="Flow_0i5u1cs_di" bpmnElement="Flow_0i5u1cs">
        <di:waypoint x="1159" y="257" />
        <di:waypoint x="1241" y="257" />
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge id="Flow_1g9y284_di" bpmnElement="Flow_1g9y284">
        <di:waypoint x="829" y="137" />
        <di:waypoint x="859" y="137" />
        <di:waypoint x="859" y="257" />
        <di:waypoint x="889" y="257" />
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge id="Flow_0jpyz0y_di" bpmnElement="Flow_0jpyz0y">
        <di:waypoint x="277" y="397" />
        <di:waypoint x="314" y="397" />
        <di:waypoint x="314" y="257" />
        <di:waypoint x="350" y="257" />
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge id="Flow_0d3qihc_di" bpmnElement="Flow_0d3qihc">
        <di:waypoint x="450" y="257" />
        <di:waypoint x="490" y="257" />
        <di:waypoint x="490" y="137" />
        <di:waypoint x="540" y="137" />
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge id="Flow_13awj3g_di" bpmnElement="Flow_13awj3g">
        <di:waypoint x="640" y="137" />
        <di:waypoint x="729" y="137" />
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNShape id="Event_0jr486l_di" bpmnElement="Event_0jr486l">
        <dc:Bounds x="241" y="379" width="36" height="36" />
        <bpmndi:BPMNLabel>
          <dc:Bounds x="221" y="342" width="76" height="27" />
        </bpmndi:BPMNLabel>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape id="Activity_19ldvcq_di" bpmnElement="Activity_06fyd13">
        <dc:Bounds x="729" y="97" width="100" height="80" />
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape id="Event_0mwqtsh_di" bpmnElement="Event_0mwqtsh">
        <dc:Bounds x="1241" y="239" width="36" height="36" />
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape id="Activity_1lzz3wr_di" bpmnElement="Activity_1sg1xt5">
        <dc:Bounds x="1059" y="217" width="100" height="80" />
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape id="Activity_1twq7go_di" bpmnElement="Activity_0g77nwh">
        <dc:Bounds x="889" y="217" width="100" height="80" />
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape id="Activity_0gvqkgl_di" bpmnElement="Activity_1qocckk">
        <dc:Bounds x="350" y="217" width="100" height="80" />
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape id="Activity_1r4hlxb_di" bpmnElement="Activity_0633vv6">
        <dc:Bounds x="540" y="97" width="100" height="80" />
      </bpmndi:BPMNShape>
    </bpmndi:BPMNPlane>
  </bpmndi:BPMNDiagram>
</bpmn:definitions>
